Bug 175369 - New TemplateMap feauture with import/export options
New TemplateMap feauture with import/export options
Status: NEW
Product: platform
Classification: Unclassified
Component: Templates
7.0.1
PC All
: P3 (vote)
: TBD
Assigned To: Martin Entlicher
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-24 16:02 UTC by gliesian
Modified: 2011-11-04 18:07 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gliesian 2009-10-24 16:02:24 UTC
Implement a TemplateMap feature that encompasses a complete set of code templates.

The TemplateMap should be designed to be imported/exported between various user's IDEs.

For example, if I take the time to create 20 code templates, I should be able to export all of those templates 
associated with one TemplateMap for my co-worker to import for quick and easy usage.

This is a little different than what appears to be the placeholder for exporting/importing code templates now, as the 
request is to be able to create and manage individual full TemplateMaps and not be bound by any limitations.
Comment 1 rmichalsky 2009-10-27 11:20:03 UTC
What specific limitations do you mean (of course there are always some limitations)? How should it differ from current
Tools  -> Options -> Export -> Templates?
Comment 2 Jesse Glick 2009-10-27 16:13:44 UTC
Wrong component.
Comment 3 gliesian 2009-10-28 02:28:26 UTC
TemplateMaps should represent a user selectable set of language code templates.  

TemplateMap myFirstTemplateMap includes:
Java code template
Ruby code template

TemplateMap mySecondTemplateMap includes:
Java code template
Groovy code template

TemplateMap myThirdTemplateMap includes:
All templates

I guess the TemplateMap isn't necessary if the user can individually select what 'language' code templates can be 
exported in groups.  However, being able to mangage TemplateMaps would bring added value to organizing and managing 
code templates.

So, in essence, TemplateMaps would be applied to the IDE that include code templates, not code templates directly. And 
the user would be able to apply more that one TemplateMap.

These are just my thoughts, and this PTR can be REJECTED all together, if the concept of TemplateMaps is deemed 
unneccesary.

-- Robert
Comment 4 gliesian 2009-10-28 02:28:27 UTC
TemplateMaps should represent a user selectable set of language code templates.  

TemplateMap myFirstTemplateMap includes:
Java code template
Ruby code template

TemplateMap mySecondTemplateMap includes:
Java code template
Groovy code template

TemplateMap myThirdTemplateMap includes:
All templates

I guess the TemplateMap isn't necessary if the user can individually select what 'language' code templates can be 
exported in groups.  However, being able to mangage TemplateMaps would bring added value to organizing and managing 
code templates.

So, in essence, TemplateMaps would be applied to the IDE that include code templates, not code templates directly. And 
the user would be able to apply more that one TemplateMap.

These are just my thoughts, and this PTR can be REJECTED all together, if the concept of TemplateMaps is deemed 
unneccesary.

-- Robert


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo